# $Revision: 1.47.2.1.2.1 $, $Date: 2006/08/09 17:44:39 $
Summary:	GNOME-DB widget library
Summary(pl):	Biblioteka widgetu GNOME-DB
Name:		libgnomedb
Version:	1.2.2
Release:	2
Epoch:		1
License:	LGPL v2+
Group:		Applications/Databases
Source0:	http://ftp.gnome.org/pub/gnome/sources/libgnomedb/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	cf8b1eb3aa3e7b18f46bc9bc9335dca7
Patch0:		%{name}-desktop.patch
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gtk+2-devel >= 2:2.8.20
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gtksourceview-devel
BuildRequires:	intltool
BuildRequires:	libgda-devel >= 1:1.2.3
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgnomedb is a library that eases the task of writing GNOME database
programs.

%description -l pl
libgnomedb jest bibliotek uatwiajc pisanie programw bazodanowych.

%package devel
Summary:	GNOME-DB widget library development
Summary(pl):	Dla programistw widgetu GNOME-DB
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gtksourceview-devel
Requires:	libgda-devel >= 1.2.3
Requires:	libgnomeui-devel >= 2.14.1

%description devel
libgnomedb is a library that eases the task of writing GNOME database
programs. This package contains development files.

%description devel -l pl
libgnomedb jest bibliotek uatwiajc pisanie programw bazodanowych.
Ten podpakiet zawiera pliki dla programistw uywajcych libgda.

%package static
Summary:	GNU Data Access static libraries
Summary(pl):	Statyczne biblioteki GNU Data Access
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
GNOME-DB widget static libraries.

%description static -l pl
Statyczne biblioteki widgetu GNOME-DB.

%package -n gnome-database-access-properties
Summary:	Database access properties
Summary(pl):	Waciwoci dostpu do baz danych
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires(post,preun):	GConf2 >= 2.14.0
Requires(post,postun):	scrollkeeper

%description -n gnome-database-access-properties
Allows to configure database access properties in GNOME.

%description -n gnome-database-access-properties -l pl
Pozwala na konfiguracj dostpu do baz danych w GNOME.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	--enable-gnome \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	desktopdir=%{_desktopdir} \
	omf_dest_dir=%{_omf_dest_dir}/%{name} \
	pkgconfigdir=%{_pkgconfigdir}

# no static modules and *.la for bonobo or glade modules
rm -f $RPM_BUILD_ROOT%{_libdir}/{bonobo/monikers,libglade/2.0}/*.{la,a}

ln -sf %{_pixmapsdir}/libgnomedb/gnome-db.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/gnome-db.png

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime-info

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post -n gnome-database-access-properties
%gconf_schema_install libgnomedb.schemas
%scrollkeeper_update_post

%preun -n gnome-database-access-properties
%gconf_schema_uninstall libgnomedb.schemas

%postun -n gnome-database-access-properties
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files -n gnome-database-access-properties
%defattr(644,root,root,755)
%{_sysconfdir}/gconf/schemas/libgnomedb.schemas
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libglade/2.0/*.so
%{_datadir}/gnome-db
%{_desktopdir}/*
%{_pixmapsdir}/libgnomedb
%{_pixmapsdir}/gnome-db.png
%{_omf_dest_dir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libgnomedb-1.2
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/libgnomedb

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomedb.spec,v $
Revision 1.47.2.1.2.1  2006/08/09 17:44:39  havner
- rebranched from gda-1_2
- rel 2 (as 1 existed before)
- epoch in libgda BR

Revision 1.47.2.1  2006/07/28 15:36:33  freetz
- restored from depths of our cvs

Revision 1.47  2005/06/14 20:01:33  freetz
- 1.2.2

Revision 1.46  2005/04/25 21:06:39  freetz
- more macros, cosmetics, rel.5 for rebuild with corrected desktop patch

Revision 1.45  2005/04/12 21:13:14  freetz
- removed obsoleted mime stuff, new style macros, rel.4

Revision 1.44  2005/03/30 13:26:49  freetz
- rel.3, fixed pixmap/desktop files (capplet -> desktopdir)

Revision 1.43  2005/03/20 21:44:57  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.42  2005/03/15 19:09:18  paladine
- proper license

Revision 1.41  2005/03/11 20:42:47  qboosh
- automake epoch, BR: intltool

Revision 1.40  2005/03/11 14:58:50  grzegol
- merged from DEVEL and updated to 1.2.1

Revision 1.39  2004/09/17 16:17:58  havner
- [mass commit] rel++ for s/Capplet/X-Capplet in sources

Revision 1.38  2004/09/16 23:04:26  havner
- rel 5

Revision 1.37  2004/09/16 22:54:55  grzegol
- added ac patch (remove deprecated GNOME_PLATFORM_GNOME_2 macro from configure.in)

Revision 1.36  2004/09/16 21:44:57  havner
- rel 4 for updated desktop patch

Revision 1.35  2004/09/15 18:28:34  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocaldir}/gnome2-macros
  from %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.34  2004/08/19 00:40:26  ankry
- rel. 3 to rebuild

Revision 1.33  2004/07/24 16:33:20  adgor
- added desktop.patch

Revision 1.32  2004/07/22 15:27:33  qboosh
- added locale-names patch, change no->nb; release 2

Revision 1.31  2004/04/30 21:46:39  adgor
- Added gcc34.patch

Revision 1.30  2004/04/19 08:26:39  aflinta
- up to version 1.0.4

Revision 1.29  2004/01/21 11:10:56  adgor
- intltoolize

Revision 1.28  2004/01/17 17:01:36  freetz
- 1.0.3

Revision 1.27  2003/12/27 18:12:40  qboosh
- removed unused *.la for glade and bonobo modules

Revision 1.26  2003/12/01 12:20:31  trojan
- updated to 1.0.2

Revision 1.25.2.13  2005/02/04 17:05:16  grzegol
- updated to 1.2.0

Revision 1.25.2.12  2004/12/01 23:04:27  grzegol
- updated to 1.1.99
- removed locale-names patch and remove no locale in %%install

Revision 1.25.2.11  2004/09/18 15:15:25  grzegol
- rel. 3

Revision 1.25.2.10  2004/09/16 22:24:20  grzegol
- rel. 2

Revision 1.25.2.9  2004/09/15 18:24:38  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.25.2.8  2004/08/28 19:09:25  grzegol
- updated to 1.1.6

Revision 1.25.2.7  2004/07/25 23:27:42  grzegol
- added desktop patch (add GTK;GNOME; to Categories and other fixes)
- rel. 2

Revision 1.25.2.6  2004/07/22 20:20:29  grzegol
- updated to 1.1.5
- removed outdated libgnomedb-fdl-appendix.sgml (Source1) already in sources

Revision 1.25.2.5  2004/06/09 13:22:32  grzegol
- updated to 1.1.4

Revision 1.25.2.4  2004/06/01 12:19:49  grzegol
- updated to 1.1.3

Revision 1.25.2.3  2004/04/27 08:13:09  trojan
- updated to 1.1.2
- updated licale-names patch

Revision 1.25.2.2  2004/04/03 23:21:14  grzegol
- updated to 1.1.1
- added missing fdl-appendix.sgml file (Source1)
- added locale-names patch (rename locale no -> nb)
- strict internal deps

Revision 1.25.2.1  2003/11/25 19:43:05  grzegol
- updated to 1.1.0

Revision 1.25  2003/11/25 19:34:27  grzegol
- reverted last change (version 1.1.0 will go to -rDEVEL)

Revision 1.23  2003/11/09 01:47:23  krzak
- capplet moved to {_datadir}/gnome/capplets

Revision 1.22  2003/11/09 00:58:47  krzak
- fixed icon for gnome-database-properties
- rel 2.

Revision 1.21  2003/10/31 13:59:21  qboosh
- cleanups, more -devel deps, BR: ac,am,lt,gnome-common

Revision 1.20  2003/10/12 20:43:51  grzegol
- updated to 1.0.1

Revision 1.19  2003/09/18 09:43:59  wrobell
- fixed install requirements for devel subpackage
- rel. 2, stb

Revision 1.18  2003/09/15 05:36:50  aflinta
- version 1.0.0

Revision 1.17  2003/09/11 10:04:12  aflinta
- we need also gtksourceview-devel

Revision 1.16  2003/09/11 09:48:33  aflinta
- force some new stuff

Revision 1.15  2003/09/11 09:45:45  trojan
- updated to 0.99.0

Revision 1.14  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.13  2003/08/06 15:03:38  grzegol
- updated to 0.91.0
- gnome-vfs2 no longer supported

Revision 1.12  2003/08/01 11:58:48  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.11  2003/07/10 09:38:17  trojan
- reenabled gtkdoc building

Revision 1.10  2003/07/04 21:32:07  grzegol
- updated %%files

Revision 1.9  2003/07/04 09:37:24  trojan
- updated to 0.90.0

Revision 1.8  2003/06/13 13:27:34  wiget
- updated to 0.12.2
- switched Source0 to ftp.gnome.org (upload site?)

Revision 1.7  2003/06/09 06:52:29  trojan
- updated to 0.12.1
- removed outdated patches

Revision 1.6  2003/06/03 22:14:47  trojan
- added patch fixes libglade plugin

Revision 1.5  2003/06/02 12:58:46  trojan
- ugly fix me mistake

Revision 1.4  2003/06/02 12:50:45  trojan
- updated to 0.12.0
- added ac/am/lt regeneration
- added patch for libglade (fixes small typo in configure.in) but apply
  this, because gnomedb-glade.c needs some fixes

Revision 1.3  2003/05/27 09:47:07  trojan
- added Source-md5

Revision 1.2  2003/05/25 05:49:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/17 08:02:31  trojan
- initial release
